<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="GraphQL.Client" Version="6.0.5"/>
        <PackageReference Include="GraphQL.Client.Abstractions" Version="6.0.5"/>
        <PackageReference Include="GraphQL.Client.Serializer.SystemTextJson" Version="6.0.5"/>
        <PackageReference Include="GraphQL.Query.Builder" Version="2.0.2"/>
        <PackageReference Include="jsoncanonicalizer" Version="1.0.0"/>
        <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="8.0.2"/>
        <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="9.0.0"/>
        <PackageReference Include="NBitcoin" Version="7.0.36"/>
        <PackageReference Include="Nethereum.HdWallet" Version="4.20.0"/>
        <PackageReference Include="Nethereum.Hex" Version="4.28.0"/>
        <PackageReference Include="Nethereum.StandardTokenEIP20" Version="4.28.0"/>
        <PackageReference Include="Nethereum.Web3" Version="4.28.0"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Managing.ABI.GmxV2\Managing.ABI.GmxV2.csproj"/>
        <ProjectReference Include="..\Managing.Application.Abstractions\Managing.Application.Abstractions.csproj"/>
        <ProjectReference Include="..\Managing.Application\Managing.Application.csproj"/>
        <ProjectReference Include="..\Managing.Core\Managing.Core.csproj"/>
        <ProjectReference Include="..\Managing.Tools.ABI\Managing.Tools.ABI.csproj"/>
    </ItemGroup>

</Project>
